#include "CoreMainMenuButtonWidget.h"
#include "MainMenuButtonsEventData.h"

class UCoreTimerFlagWidget;

void UCoreMainMenuButtonWidget::SetBonus(int32 bonusPercent)
{

}

bool UCoreMainMenuButtonWidget::GetRowDataFromMainMenuButtonsEventDB(FMainMenuButtonsEventData& buttonsEventData, const FString& eventFrameLabel)
{
	return false;
}

UCoreTimerFlagWidget* UCoreMainMenuButtonWidget::CreateTimerFlag()
{
	return NULL;
}

void UCoreMainMenuButtonWidget::ClearAllTimerFlags()
{

}

UCoreMainMenuButtonWidget::UCoreMainMenuButtonWidget()
{
	this->ButtonTemplate = EMainMenuButtonTemplate::Default;
	this->GameType = EGameType::None;
	this->_timerFlagWidgetClass = NULL;
	this->_buttonDisableState = EButtonDisableState::Default;
	this->_isNew = false;
	this->_hasNewStoreItem = false;
}
